Fetch Customer
Authorizations
AuthorizationstringRequired
API Key as Bearer Token
Path parameters
idstringRequired
The id of the entry to retrieve
Responses
200
Returns 200 and the requested customer
application/json
idstring · nullableOptional
full_namestring · nullableOptional
Customer's full name (OPTIONAL)
emailstring · nullableOptional
Customer's email (REQUIRED)
phone_numberstring · nullableOptional
Customer's phone number (OPTIONAL)
addressstring · nullableOptional
Customer's address (OPTIONAL)
statusstring · enumOptionalPossible values:
created_atstring · date-timeOptional
Timestamp when the customer was created.
edited_atstring · date-time · nullableOptional
Timestamp when the customer was last updated.
400
Returns 400 if the query is invalid
401
Returns 401 when authorization details is invalid
404
Returns 404 if a customer with the specified id is not found
get
/v1/customers/{id}Last updated